/************************************************************************
 * ChiMerge Discretizer                                         	*
 *						 Pere Miralles Ribas    *
 ************************************************************************/

#ifndef _CHIMERGE_DISCRETIZER_H_
#define _CHIMERGE_DISCRETIZER_H_

#include "discretizer.h"

class chimergeDiscretizer: public discretizer {
	double siglevel;
	int grausllib;
	double xi2limit;

	void discretitzador();
	void inicialitzapt(double *ptpos,int *espt,int atribut,int limit);
	double calculxi2(int inici,int final,double pt,int atr);
	double calcullimitxi2(double siglevel,int grausllib);			
	int aturada(int atr,double *ptpos,int *espt,double *xi2pt,int limit);
		
public:
	chimergeDiscretizer(double siglevel,int attributes);
	void setBounds(double *min,double *max);
	int discretize(int attribute, double value);
	void updateDiscretizer(char *dataFile);
	int getNumIntervals(int attr);
	void results();
};

#endif
