#ifndef _CLASSIFIER_FITNESS_H_

#define _CLASSIFIER_FITNESS_H_

class classifier;
class instance;
class instanceSet;
class classifierFactory;
class instanceSetVirtual;
#include "JVector.h"


double classifierFitness(classifier & ind);
double classifierTest(classifier & ind, instanceSet *is);
double classifierTestVirtual(classifier & ind, instanceSet *is);
void classifierStats(classifier & ind, char instancesFile[], char *typeOfFile);
void classifierStatsVirtual(classifier & ind, instanceSetVirtual *is);
void classifierEnsamble(classifier **ensamble,int numClassifiers, char instancesFile[], char *typeOfFile);
double sandboxTest(classifier & ind,instance **,int);
void evaluateIndividuals(classifierFactory *cf);

#endif
