#ifndef _DATASET_GENERATOR_
#define _DATASET_GENERATOR_

#include "instance.h"

class datasetGenerator {
public:
	virtual void initialize()=0;
	virtual instance *generateInstance(unsigned long long index)=0;
	virtual instance *generateRandomInstance()=0;
	virtual void generateInstance(instance *ins,unsigned long long index)=0;
	virtual int classOfInstance(unsigned long long index)=0;
	virtual double getNumInstances()=0;
};

#endif
