/************************************************************************
 * Random Discretizer                                                   *
 *                                               Pere Miralles Ribas    *
 ************************************************************************/

#ifndef _RAND_DISCRETIZER_H_
#define _RAND_DISCRETIZER_H_

#include "discretizer.h"
#include <stdio.h>

class randDiscretizer: public discretizer {
	int acabar(int *espt,int limit,int maxpt);
	void discretitzador();
	void inicialitzapt(double *ptpos,int *espt,int atribut,int limit);


public:
	randDiscretizer(int attributes);
	void setBounds(double *min,double *max);
	int discretize(int attribute, double value);
	void updateDiscretizer(char *dataFile);
	int getNumIntervals(int attr);
	void results();
};

#endif
