#ifndef _TIMER_MDL_H_
#define _TIMER_MDL_H_

#include "timingProcess.h"

class agentPerformanceTraining;
class classifier;

class timerMDL: public timingProcess {
	int startIteration;
	double mdlWeight;
	double mdlWeightRelaxFactor;
	double initialTheoryLenghtRatio;
	int fixedWeight;
	int mdlWeightRelaxStopIteration;
	double mdlWeightRelaxStopAccuracy;
	int iterationMDL;
	int finalIteration;
	int currentIteration;

public:
	int activated;	
	int mdlAccuracy;	

	double mdlFitness(classifier &ind,agentPerformanceTraining *ap);
	timerMDL();
	void initialize(populationWrapper *pPW) {pw=pPW;}
	void newIteration(int iteration,int finalIteration);
	void dumpStats(int iteration);
	
};

#endif
