#ifndef _UNIFORM_DISCRETIZER_H_
#define _UNIFORM_DISCRETIZER_H_

#include "discretizer.h"
#include <stdio.h>

class uniformDiscretizer: public discretizer {
	int numBins;

public:
	uniformDiscretizer(int bins,int attributes);
	void setBounds(double *min,double *max);
	int discretize(int attribute, double value);
	void updateDiscretizer(char *dataFile);
	int getNumIntervals(int attr){return numBins;}
	void results();
};

#endif
