#ifndef _WINDOWING_VIRTUAL_H_
#define _WINDOWING_VIRTUAL_H_

#include "instance.h"
#include "datasetGenerator.h"

class populationWrapper;

class windowingVirtual {
public:
	virtual void setInstances(datasetGenerator *gen)=0;
	virtual void newIteration(instance **&selectedInstances,int &howMuch)=0;
	virtual int numVersions(){return 1;}
	virtual int getCurrentVersion(){return 0;}
	virtual int needReEval(){return 1;}
};

#endif
