#ifndef _WINDOWING_VIRTUAL_ILAS_H_
#define _WINDOWING_VIRTUAL_ILAS_H_

#include "windowingVirtual.h"

class windowingVirtualILAS : public windowingVirtual{
	datasetGenerator *gen;

	int *strataSizes;
	unsigned long long **strata;
	unsigned long long howMuch;
	int numStrata;
	int currentIteration;
	int stratum;
	int currentSize;
	instance **currentWindow;

	void reorderInstances();

public:
	void setInstances(datasetGenerator *gen);
	void newIteration(instance ** &selectedInstances,int &howMuch);
	int needReEval() {
		if(numStrata==1) return 0;
		return 1;
	}
	int numVersions() {
		return numStrata;
	}
	int getCurrentVersion() {
		return stratum;
	}
	
};

#endif
