/************************************************************************
 * ID3 Discretizer   		                                      	*
 *						 Pere Miralles Ribas    *
 ************************************************************************/

#ifndef _ID3_DISCRETIZER_H_
#define _ID3_DISCRETIZER_H_

#include "discretizer.h"

class id3Discretizer: public discretizer {


	void discretitzador();
	void assignapt(int atr,int inici,int fi,double *ptpos,int *espt,double *ent,int limit);
	void inicialitzapt(double *ptpos,int *espt,int atribut,int limit);
	int calculclassesinterval(int inici,int final,int atr);		
	double calculentropia(int inici,int final,int atr);
		
		
public:
	id3Discretizer(int attributes);
	void setBounds(double *min,double *max);
	int discretize(int attribute, double value);
	void updateDiscretizer(char *dataFile);
	int getNumIntervals(int attr);
	void results();
};

#endif
