#ifndef _INSTANCE_SET_
#define _INSTANCE_SET_

//#include <stdio.h>
//#include "JVector.h"
//#include "windowing.h"
//#include "sampling.h"

class instance;

class instanceSet {
public:
	//instanceSet(char *fileName,int traintest);
	//~instanceSet();

	virtual instance *getInstance(unsigned long long index)=0;
	virtual instance *getInstanceTest(unsigned long long index)=0;
	virtual instance **getInstancesOfIteration()=0;
	virtual instance **getAllInstances()=0;
	virtual instance *getInstanceInit(int forbiddenCL)=0;
	virtual int isWindowingEnabled()=0;
	virtual unsigned long long getNumInstancesOfIteration()=0;
	virtual int newIteration(int isLast)=0;
	virtual unsigned long long getNumInstances()=0;
	virtual int numVersions()=0;
	virtual int getCurrentVersion()=0;
};



#endif
