#include "mxGenerator.h"
#include "messageBuffer.h"
#include "attributesInfo.h"

extern messageBuffer mb;
extern attributesInfo ai;

mxGenerator::mxGenerator(int pNumAddr) 
{
	numAddr=pNumAddr;
	size=numAddr+(int)pow(2,numAddr);
	tmpInst = new int[size];
}

void mxGenerator::initialize()
{
        char name[100];
	int i;

	mb.printf("Dataset name: %d bit multiplexer\n",size);
	ai.setNumAttributes(size+1);

	for(i=0;i<size;i++) {
		sprintf(name,"att%d",i);
		mb.printf("Attribute %d:Name %s Def:{0,1}\n",i,name);
		ai.insertAttributeName(new JString(name));
		mb.printf("Attribute %d nominal\n", i);
		ai.setTypeOfAttribute(i,NOMINAL);

		JString *value= new JString("0");
		ai.insertNominalValue(i,value);
		value= new JString("1");
		ai.insertNominalValue(i,value);
	}

	sprintf(name,"class");
	mb.printf("Attribute %d:Name %s Def:{0,1}\n",i,name);
	ai.insertAttributeName(new JString(name));
	mb.printf("Attribute %d nominal\n", i);
	ai.setTypeOfAttribute(i,NOMINAL);
	JString *value= new JString("0");
	ai.insertNominalValue(i,value);
	value= new JString("1");
	ai.insertNominalValue(i,value);

	ai.finish();

}
