#ifndef _TIMER_CROSSOVER_H_
#define _TIMER_CROSSOVER_H_

#include "timingProcess.h"

class timerCrossover: public timingProcess {
public:
	int numBB;
	int *sizeBBs;
	int **defBBs;

	int informedCrossover;
	int parentsWin;
	int offspringWin;
	double crossoverProb;
	double smartCrossoverProb;
	int numParentsSmartX;
	int addRulesSmartX;
	int repetitionsRuleOrdering;
	int checkCrossover;
	double filterSmartCrossover;
	int rulePruning;

	int elitismUsesSmartX;
	int elitismUsesSmartXLastIt;
	int numParentsElitismSmartX;

	timerCrossover();
	void initialize(populationWrapper *pPW) {pw=pPW;}
	void newIteration(int iteration,int finalIteration);
	void dumpStats(int iteration);
};

#endif
