#ifndef _TIMER_REAL_KR_H_
#define _TIMER_REAL_KR_H_

#include "timingProcess.h"

class timerRealKR: public timingProcess {
	int enabled;
public:
	int *attributeSize;
	int *attributeOffset;
	int ruleSize;
	double dOfFR;
        double alphaOfBLX;
        double nOfSBX;
	int thereIsSpecialCrossover;
	double instanceTheoryLength;
	double probSharp;
	double defaultRuleTheoryLength;
	double probIrr;

	timerRealKR();
	void initialize(populationWrapper *pPW) {pw=pPW;}
	void newIteration(int iteration,int finalIteration) {}
	void dumpStats(int iteration);

	void crossoverBLX(double parent1,double parent2,double &son1
		,double &son2,double minDomain,double maxDomain);
	void crossoverSBX(double parent1,double parent2,double &son1,double &son2
		,double minDomain,double maxDomain);
	void crossoverFR(double parent1,double parent2,double &son1,double &son2
		,double minDomain,double maxDomain);
	double crossoverFRp(double minPare,double maxPare,double interval
		,double minDomain,double maxDomain);

	void specialCrossover(double parent1,double parent2,double &son1
		,double &son2,double minDomain,double maxDomain);
	double fmin(double a,double b);
	double fmax(double a,double b);
};

#endif
