#ifndef _WINDOWING_ILAS_H_
#define _WINDOWING_ILAS_H_

#include "windowing.h"
#include "JVector.h"

class windowingILAS : public windowing{
	instance **set;
	instance ***strata;
	int *strataSizes;
	int howMuch;
	int numStrata;
	int currentIteration;
	int stratum;

	void reorderInstances();

public:
	void setInstances(instance **set,int howMuch);
	void newIteration(instance ** &selectedInstances,int &howMuch);
	int needReEval() {
		if(numStrata==1) return 0;
		return 1;
	}
	int numVersions() {
		return numStrata;
	}
	int getCurrentVersion() {
		return stratum;
	}
	
};

#endif
